## org.apache.commons.math3.analysis.function
Class Logit

    java.lang.Object
      org.apache.commons.math3.analysis.function.Logit

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateDifferentiableFunction, UnivariateFunction

    public class Logit

extends java.lang.Object
implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction

Logit function. It is the inverse of the `sigmoid` function.

Since:
  3.0
Version:
  $Id: Logit.java 1391927 2012-09-30 00:03:30Z erans $

Nested Class Summary
`static class` `Logit.Parametric` Parametric function where the input array contains the parameters of the logit function, ordered as follows: Lower bound Higher bound

Field Summary
`private double` `hi` Higher bound.
`private double` `lo` Lower bound.

Constructor Summary
`Logit()` Usual logit function, where the lower bound is 0 and the higher bound is 1.
`Logit(double lo, double hi)` Logit function.

Method Summary
`UnivariateFunction` `derivative()` Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
`DerivativeStructure` `value(DerivativeStructure t)` Simple mathematical function.
`double` `value(double x)` Compute the value of the function.
`private static double` `value(double x, double lo, double hi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lo

    private final double lo

  Lower bound.

### hi

    private final double hi

  Higher bound.

Constructor Detail

### Logit

    public Logit()

  Usual logit function, where the lower bound is 0 and the higher bound is 1.

### Logit

    public Logit(double lo,
                 double hi)

  Logit function.

  Parameters:
    `lo` - Lower bound of the function domain.
    `hi` - Higher bound of the function domain.

Method Detail

### value

    public double value(double x)
                 throws OutOfRangeException

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.
  Throws:
    `OutOfRangeException`

### derivative

    @Deprecated
    public UnivariateFunction derivative()

  Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

### value

    private static double value(double x,
                                double lo,
                                double hi)
                         throws OutOfRangeException

  Parameters:
    `x` - Value at which to compute the logit.
    `lo` - Lower bound.
    `hi` - Higher bound.
  Returns:
    the value of the logit function at `x`.
  Throws:
    `OutOfRangeException` - if `x < lo` or `x > hi`.

### value

    public DerivativeStructure value(DerivativeStructure t)
                              throws OutOfRangeException

  Simple mathematical function.

  `UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

  Specified by:
    `value` in interface `UnivariateDifferentiableFunction`
  Parameters:
    `t` - function input value
  Returns:
    function result
  Throws:
    `OutOfRangeException` - if parameter is outside of function domain
  Since:
    3.1

Copyright (c) 2003-2013 Apache Software Foundation